Bug 1259753 - [GSS](6.4.z) HORNETQ-1483 - Client side load balancing of HornetQ pooled connection does not work
[GSS](6.4.z) HORNETQ-1483 - Client side load balancing of HornetQ pooled conn...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: HornetQ (Show other bugs)
6.4.3
Unspecified Unspecified
high Severity high
: CR1
: EAP 6.4.5
Assigned To: Dmitrii Tikhomirov
Miroslav Novak
:
Depends On:
Blocks: 1235745 1247277
  Show dependency treegraph
 
Reported: 2015-09-03 09:26 EDT by Tom Ross
Modified: 2017-01-17 06:46 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HORNETQ-1483 Major Open Client side load balancing of HornetQ pooled connection does not work. 2017-03-21 07:25 EDT
JBoss Issue Tracker HORNETQ-1493 Major Open HornetQ RA does not close its connection factories when it is stopped. 2017-03-21 07:25 EDT
JBoss Issue Tracker HORNETQ-1494 Major Open MDB endpoionts are not deactivated 2017-03-21 07:25 EDT

  None (edit)
Description Tom Ross 2015-09-03 09:26:30 EDT
Back port of HORNETQ-1483
Comment 6 Miroslav Novak 2015-11-05 09:01:14 EST
I've verified that outbound connections are load balanced in EAP 6.4.5.CP.CR1. 

Note that outbound connections are pooled and initiated during 1st calls of connectionFactory.createConnection() calls. if pool of those connections is already full and a new server is added to HornetQ cluster then  connectionFactory.createConnection() will only return connection from this pool (connected to "old" servers) and does not have a chance to create connection the the new server.
Comment 7 Petr Penicka 2017-01-17 06:46:09 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.
Comment 8 Petr Penicka 2017-01-17 06:46:15 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.